Open Interest
curl --request GET \
--url https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/open-interestimport requests
url = "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/open-interest"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/open-interest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tradingPairId": "123e4567-e89b-12d3-a456-426614174000",
"openInterest": "12345.67",
"updatedAt": "1736742000000",
"openInterestBase": "12345.67",
"openInterestNotional": "1172836500.00"
}Market
Open Interest
Open interest for a perp market.
GET
/
api
/
v1
/
market
/
pairs
/
{tradingPairId}
/
open-interest
Open Interest
Path Parameters
Response
OK
Latest public open interest for a trading pair.
Trading pair UUID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Current open interest in base-asset units
Example:
"12345.67"
Timestamp of the latest open interest sample (ms since epoch)
Example:
"1736742000000"
Current open interest in base-asset units
Example:
"12345.67"
Current open interest notional in quote units
Example:
"1172836500.00"
Was this page helpful?

